{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}
{% load tz %}

{% block title %}
    {{ block.super }} {% trans "Subscription Detail" %}
{% endblock %}

{% block content %}
    <hr>

    {% if sub %}
        Content of this calendar will be sent to: <a href="mailto:{{ sub.email }}">{{ sub.email }}</a>
        <h1>Description: "{{ sub.description|default_if_none:"My default subscription " }}" contains</h1>
        <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
            <thead>
            <tr>
                <th>Title</th>
                {% if request.user.is_authenticated and request.user != sub.created_by %}
                    <th>User</th>
                {% endif %}
                <th>Creation</th>
                <th>Modification</th>
            </tr>
            </thead>
            <tbody>

            <tr>
                <td>
                    <ul>
                        {% for cal in sub.calendar.all %}
                            <li><a href="{% url 'calendar_detail' cal.pk %}">{{ cal }}</a></li>
                        {% endfor %}
                    </ul>
                </td>

                {% if request.user.is_authenticated and request.user != sub.created_by %}
                    <td>{{ sub.created_by }}</td>
                {% endif %}

                <td>{{ sub.created_on }}</td>
                <td>{% if sub.created_by !=  sub.edited_on %}{{ sub.edited_on }}{% endif %}</td>
            </tr>
            </tbody>
        </table>


        {% if sub.event.all %}
            <table cellpadding="0" cellspacing="0" border="1" class="display" id="annTable">
                <thead>
                <tr>
                    <th>Announce</th>
                    <th>Org</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for event in sub.event.all %}
                    <tr>
                        <td>
                            <a href="{% url 'details_on_event' event.id %} ">{{ event }}</a>
                        </td>
                        <td>
                            {% for org in event.org.all %}
                                {{ org }}
                            {% endfor %}
                        </td>
                        <td>
                            <a href="#" class="remindme" id="{{ event.id }}">Forget</a>
                        </td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        {% endif %}

        <div>
            <span>
            <a href="{% url 'update_sub' sub.id %} ">Modify</a>
            </span>
            <span>
            <a href="{% url 'subscriptions' %} ">List</a>
            </span>
        </div>
    {% endif %}

{% endblock %}


{% block css %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>

    <script>
        $(document).ready(function () {
            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
            $('#annTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
